Debian Bug report logs - #685803
unblock: vala-0.16/0.16.1-2

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Fri, 24 Aug 2012 17:03:01 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ricotz@t-online.de, pkg-vala-maintainers@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685803; Package release.debian.org. (Fri, 24 Aug 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to ricotz@t-online.de, pkg-vala-maintainers@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Fri, 24 Aug 2012 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock (pre-approval): vala-0.16/0.16.1-2
Date: Fri, 24 Aug 2012 18:58:15 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Hi,

we ship several vala versions in Debian (2 atm), mostly to ease
transitions. As a consequence, we build the packages with the
--disable-unversioned flag.
Unfortunately, this means that a few important files are no longer
installed because of that, because the are unversioned [1].
The most important one is /usr/share/aclocal/vala.m4, which provides
macros which are needed if you autoreconf vala using packages.

To fix that, we intend to install those unversioned files
in /usr/share/vala-0.16/ and manage them via alternatives.

The current version in wheezy is broken in that regard which severly
limits its usefulness for vala developers.
We thus would like to fix this bug for wheezy.

A potential debdiff was created by Rico Tzschichholz.
It contains two unrelated changes (dropping unneeded quilt b-dep and
using -c4 for dpkg-gensymbols, which are a result of the Ubuntu merge).
If you consider those changes inappropriate for wheezy, let us know.

It would be great if we can proceed with the upload.

Michael


unblock vala-0.16/0.16.1-2

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678342
-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685803; Package release.debian.org. (Fri, 24 Aug 2012 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 24 Aug 2012 17:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 685803@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 685803@bugs.debian.org
Subject: Re: Bug#685803: Acknowledgement (unblock (pre-approval): vala-0.16/0.16.1-2)
Date: Fri, 24 Aug 2012 19:04:41 +0200
[Message part 1 (text/plain, inline)]
d'oh, forgot to actually attach the patch...


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[vala-debdiff.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685803; Package release.debian.org. (Fri, 24 Aug 2012 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 24 Aug 2012 17:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 685803@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 685803@bugs.debian.org
Cc: Rico Tzschichholz <ricotz@t-online.de>
Subject: Re: Bug#685803: Acknowledgement (unblock (pre-approval): vala-0.16/0.16.1-2)
Date: Fri, 24 Aug 2012 19:26:37 +0200
[Message part 1 (text/plain, inline)]
On 24.08.2012 19:04, Michael Biebl wrote:
> d'oh, forgot to actually attach the patch...

... and the first version was missing the debian/vala-0.16.dirs file.
Fixed one attached.

Sorry for the noise.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[vala-debdiff2.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685803; Package release.debian.org. (Wed, 05 Sep 2012 00:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 05 Sep 2012 00:57:05 GMT) Full text and rfc822 format available.

Message #20 received at 685803@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 685803@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#685803: unblock (pre-approval): vala-0.16/0.16.1-2
Date: Wed, 05 Sep 2012 02:53:13 +0200
[Message part 1 (text/plain, inline)]
retitle 685803: unblock: vala-0.16/0.16.1-2
thanks

On 24.08.2012 18:58, Michael Biebl wrote:
> Unfortunately, this means that a few important files are no longer
> installed because of that, because the are unversioned [1].
> The most important one is /usr/share/aclocal/vala.m4, which provides
> macros which are needed if you autoreconf vala using packages.
> 
> To fix that, we intend to install those unversioned files
> in /usr/share/vala-0.16/ and manage them via alternatives.
> 
> The current version in wheezy is broken in that regard which severly
> limits its usefulness for vala developers.
> We thus would like to fix this bug for wheezy.
> 
> A potential debdiff was created by Rico Tzschichholz.
> It contains two unrelated changes (dropping unneeded quilt b-dep and
> using -c4 for dpkg-gensymbols, which are a result of the Ubuntu merge).
> If you consider those changes inappropriate for wheezy, let us know.

I've dropped the unrelated changes which are not necessary to fix
#678342 and uploaded 0.16.1-2. New debdiff attached.

Cheers,
Michael

unblock vala-0.16/0.16.1-2



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[vala-0.16-debdiff.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'unblock: vala-0.16/0.16.1-2' from 'unblock (pre-approval): vala-0.16/0.16.1-2' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 05 Sep 2012 01:15:03 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Thu, 13 Sep 2012 11:57:04 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Thu, 13 Sep 2012 11:57:04 GMT) Full text and rfc822 format available.

Message #27 received at 685803-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Michael Biebl <biebl@debian.org>, 685803-done@bugs.debian.org
Subject: Re: Bug#685803: unblock (pre-approval): vala-0.16/0.16.1-2
Date: Thu, 13 Sep 2012 13:51:31 +0200
On 05/09/12 02:53, Michael Biebl wrote:
> retitle 685803: unblock: vala-0.16/0.16.1-2
> thanks
>
> On 24.08.2012 18:58, Michael Biebl wrote:
>> Unfortunately, this means that a few important files are no longer
>> installed because of that, because the are unversioned [1].
>> The most important one is /usr/share/aclocal/vala.m4, which provides
>> macros which are needed if you autoreconf vala using packages.
>>
>> To fix that, we intend to install those unversioned files
>> in /usr/share/vala-0.16/ and manage them via alternatives.
>>
>> The current version in wheezy is broken in that regard which severly
>> limits its usefulness for vala developers.
>> We thus would like to fix this bug for wheezy.
>>
>> A potential debdiff was created by Rico Tzschichholz.
>> It contains two unrelated changes (dropping unneeded quilt b-dep and
>> using -c4 for dpkg-gensymbols, which are a result of the Ubuntu merge).
>> If you consider those changes inappropriate for wheezy, let us know.
>
> I've dropped the unrelated changes which are not necessary to fix
> #678342 and uploaded 0.16.1-2. New debdiff attached.
>

Unblocked.

Cheers.

-- 
Mehdi Dogguy



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Oct 2012 07:25:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 18:59:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.